Inhalte
Index 🔎︎

# Anweisung Select...Case

Definiert einen oder mehrere Befehlsblöcke, die in Abhängigkeit von dem Ergebnis eines bestimmten Ausdrucks stehen.

## Syntax:

    Select Case Bedingung Case Ausdruck Anweisungsblock[Case Ausdruck2 Anweisungsblock][Case Else] Anweisungsblock End Select

## Parameter:

Bedingung: Ein beliebiger Ausdruck, der steuert, ob der auf den jeweiligen Case-Zweig folgende Anweisungsblock ausgeführt wird.

Ausdruck: Ein beliebiger Ausdruck, der mit dem Typ des Ausdrucks "Bedingung" kompatibel ist. Der auf den jeweiligen Case-Zweig folgende Anweisungsblock wird ausgeführt, wenn der Wert von Bedingung gleich dem Wert von Ausdruck ist.

## Beispiel:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Zahl von 1 bis 5"
            Case 6, 7, 8
                Print "Zahl von 6,7 oder 8"
            Case 8 To 10
                Print "Größer als 8"
            Case Else
                Print "Außerhalb von 1 bis 10"
        End Select
    End Sub